From bf89496b4725a48b6e663e055f2c16f23c1d8e81 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Fri, 26 Feb 2021 20:53:39 +0100
Subject: [PATCH] Remove defaults from authtype parameter

The authtype parameter was deprecated and made inactive in commit
d5bbe2aca55bc8, but the environment variable is still defined such
that if it would exist it would be copied but never freed. Fix by
removing the env var and default value.
---
 src/interfaces/libpq/fe-connect.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/interfaces/libpq/fe-connect.c b/src/interfaces/libpq/fe-connect.c
index db71fea169..7327d28966 100644
--- a/src/interfaces/libpq/fe-connect.c
+++ b/src/interfaces/libpq/fe-connect.c
@@ -122,7 +122,6 @@ static int	ldapServiceLookup(const char *purl, PQconninfoOption *options,
 #define DefaultHost		"localhost"
 #define DefaultTty		""
 #define DefaultOption	""
-#define DefaultAuthtype		  ""
 #ifdef USE_SSL
 #define DefaultChannelBinding	"prefer"
 #else
@@ -197,7 +196,7 @@ static const internalPQconninfoOption PQconninfoOptions[] = {
 	 * the array so as not to reject conninfo strings from old apps that might
 	 * still try to set it.
 	 */
-	{"authtype", "PGAUTHTYPE", DefaultAuthtype, NULL,
+	{"authtype", NULL, NULL, NULL,
 	"Database-Authtype", "D", 20, -1},
 
 	{"service", "PGSERVICE", NULL, NULL,
-- 
2.21.1 (Apple Git-122.3)

